Bug 520225 - gnome-terminal draws over screen's hardstatus status line
gnome-terminal draws over screen's hardstatus status line
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: vte (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-08-29 04:47 EDT by Honza 'thingie' Bartoš
Modified: 2009-09-09 19:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-09 18:55:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Honza 'thingie' Bartoš 2009-08-29 04:47:36 EDT
Description of problem:
gnome-terminal (and other vte-based terminals) draws over the last hardstatus line of screen when it gets there. 

Version-Release number of selected component (if applicable):
gnome-terminal-2.27.91-1.fc12.i686
vte-0.21.4-1.fc12.i686

How reproducible:
put following lines in your .screenrc
hardstatus alwayslastline
hardstatus string '%{= kG}[ %{G}%H %{g}][ %{=kw}%?%-Lw%?%{r}(%{W}%n*%f%t%?(%u)%?%{r})%{w}%?%+Lw%?%?%= %{g}][%{B}%Y-%m-%d %{W}%c %{g}]'

run gnome-terminal
run screen
hit enter until you redraw the status line

reproducible always

Expected results:
status line should stay there and don't get redrawed
Comment 1 Behdad Esfahbod 2009-09-04 21:41:20 EDT
Fortunately this has been fixed in master since.  Will be in next release I'll release on Monday.
Comment 2 Saikat Guha 2009-09-09 19:36:14 EDT
Confirmed vte-0.21.5-1.fc12.x86_64 fixes the problem for me.
(currently in Koji)

Note You need to log in before you can comment on or make changes to this bug.